Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.schema_3_other.connect_api_v1_sandbox_github_oauth_connections_post(code="<value>", state="Wyoming")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.schema3Other.connectApiV1SandboxGithubOauthConnectionsPost({
connectRequest: {
code: "<value>",
state: "Wyoming",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Schema3Other.ConnectApiV1SandboxGithubOauthConnectionsPostAsync(body: new ConnectRequest() {
Code = "<value>",
State = "Wyoming",
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/sandbox/github/oauth/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"state": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', state: '<string>'})
};
fetch('https://apigw.mka1.com/api/v1/sandbox/github/oauth/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"github_login": "<string>",
"github_user_id": 123,
"scopes": "<string>",
"synced_at": "2023-11-07T05:31:56Z",
"repositories": [
{
"repository_id": 123,
"owner": "<string>",
"repository": "<string>",
"private": true,
"default_branch": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}schema-3_other
Conectar
POST
/
api
/
v1
/
sandbox
/
github
/
oauth
/
connections
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.schema_3_other.connect_api_v1_sandbox_github_oauth_connections_post(code="<value>", state="Wyoming")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.schema3Other.connectApiV1SandboxGithubOauthConnectionsPost({
connectRequest: {
code: "<value>",
state: "Wyoming",
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Schema3Other.ConnectApiV1SandboxGithubOauthConnectionsPostAsync(body: new ConnectRequest() {
Code = "<value>",
State = "Wyoming",
});
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Was this page helpful?
⌘I